C2DFuzzyClusterSolver Class Reference
Filtering and combining

A solver for the fuzzy segmentation smoothness constraint. More...

`#include <mia/2d/fuzzyclustersolver_sor.hh>`

## Public Member Functions

| C2DFuzzyClusterSolver (const C2DFImage &weight, double lambda1, double lambda2, int max_iter)
void | solve (const C2DFImage &force, C2DFImage &gain)

## Detailed Description

A solver for the fuzzy segmentation smoothness constraint.

This is a solver for the smoothness constraint of the fuzzy c-means algorithm described in: D.L. Pham and J.L.Prince, "An adaptive fuzzy C-means algorithm for image segmentation in the presence of intensity inhomogeneities", Pat. Rec. Let., 20:57-68,1999

Definition at line 44 of file fuzzyclustersolver_sor.hh.

## Constructor & Destructor Documentation

## C2DFuzzyClusterSolver()

C2DFuzzyClusterSolver::C2DFuzzyClusterSolver | ( | const C2DFImage & | weight,
|  | double | lambda1,
|  | double | lambda2,
|  | int | max_iter )

Contructor

Parameters

  weight | matrix
  lambda1 | Penalize magnitude of intensity inhomogeinity correction
  lambda2 | Smoothness of intensity inhomogeinity correction
  max_iter | maximum number of iterations

## Member Function Documentation

## solve()

void C2DFuzzyClusterSolver::solve | ( | const C2DFImage & | force,
|  | C2DFImage & | gain )

Parameters

  [in] | force | matrix to drive update of gain field
  [in,out] | gain | filed to be updated

The documentation for this class was generated from the following file:

- fuzzyclustersolver_sor.hh